Skip to content

List tag keys

GET
/tags
curl --request GET \
--url https://example.com/api/v1/tags

Lists the governed key vocabulary. Rides the tag:read floor.

OK

Media type application/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
tags
required
Array<object> | null
object
$schema

A URL to the JSON Schema for this object.

string format: uri
allowed_values
required

The value enum a bound value must belong to; empty means free text

Array<string> | null
applies_to
required

Entity kinds this key may bind to; empty means universal

Array<string> | null
id
required
string
name
required
string
propagates
required

Whether a bound value cascades to descendants

boolean
Example
{
"$schema": "/api/v1/schemas/ListTagsOutputBody.json",
"tags": [
{
"$schema": "/api/v1/schemas/TagBody.json"
}
]
}

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}